
body .support-form-cntlr .wpsc-shortcode-container {
    background-color: transparent !important;
    border-color: var(--spbdr)!important;
    border-radius: 16px!important;
    color: var(--sptxt)!important;
    padding: 32px 32px!important;
}
body .support-form-cntlr .wpsc-auth-container {
    margin: 0!important;
}
body .support-form-cntlr .wpsc-auth-container form input,
body .support-form-cntlr .wpsc-auth-container form lebel,
body .support-form-cntlr .wpsc-auth-container form select,
body .support-form-cntlr .wpsc-auth-container form p,
body .support-form-cntlr .wpsc-auth-container form span,
body .support-form-cntlr .wpsc-auth-container form a {
    font-family: var(--wp--preset--font-family--montserrat)!important;
}
body .support-form-cntlr .wpsc-auth-container .auth-inner-container {
    max-width: 100%!important;
    min-width: 100%!important;
}
body .support-form-cntlr .wpsc-auth-container h2 {
    font-size: 30px !important;
    margin: 0 0 24px 0 !important;
}
body .support-form-cntlr #wpsc-container input[type=text], 
body .support-form-cntlr #wpsc-container input[type=email], 
body .support-form-cntlr #wpsc-container input[type=password] {
    border: 1px solid var(--spbdr) !important;
    color: var(--sptxt) !important;
    padding: 12px 24px!important;
    line-height: 1 !important;
    min-height: 52px !important;
    max-height: 52px !important;
    border-radius: 8px 8px!important;
    box-sizing: border-box;
    font-size: 17px!important;
    font-family: var(--wp--preset--font-family--montserrat)!important;
    font-weight: 500!important;
    margin-bottom: 16px!important;
    background-color: var(--spbg)!important;
    transition: all 0.3s ease!important;
}

body .wp-site-blocks .support-form-cntlr #wpsc-container .wpsc-shortcode-container .auth-inner-container form > div {
    padding-bottom: 11px!important;
}
body .support-form-cntlr #wpsc-container input[type=text]:focus, 
body .support-form-cntlr #wpsc-container input[type=email]:focus, 
body .support-form-cntlr #wpsc-container input[type=password]:focus {
    border-color: var(--accent) !important;
}
body .support-form-cntlr .wpsc-auth-container .remember-me {
    margin-bottom: 20px;
    font-size: 17px!important;
}
body .support-form-cntlr #wpsc-container .checkbox-container label, 
body .support-form-cntlr .wpsc-modal .checkbox-container label {
    font-size: 17px!important;
    font-family: var(--wp--preset--font-family--montserrat)!important;
}
body .support-form-cntlr #wpsc-container .checkbox-container label:before, 
body .support-form-cntlr .wpsc-modal .checkbox-container label:before {
    border: 1.5px solid var(--accent) !important;
    color: var(--sptxt) !important;
    transition: all 0.3s ease!important;
    top: 2px!important;
    left: 0!important;
    width: 18px!important;
    height: 18px!important;
    transform: initial!important;
    border-radius: 3px!important;
    background-color: transparent!important;
    margin-right: 8px!important;
}

body .support-form-cntlr #wpsc-container .checkbox-container input + label:after, 
body .support-form-cntlr .wpsc-modal .checkbox-container input + label:after {
    top: 2px!important;
    left: 0!important;
    width: 18px!important;
    height: 18px!important;
    border: none!important;
    transform: initial!important;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='10' viewBox='0 0 14 10' fill='none'%3E%3Cpath d='M13.6747 0.322815C13.2415 -0.107741 12.5381 -0.107469 12.1044 0.322815L5.03702 7.3386L1.89587 4.22053C1.46213 3.78998 0.759044 3.78998 0.325304 4.22053C-0.108435 4.65109 -0.108435 5.34901 0.325304 5.77957L4.25157 9.67702C4.46831 9.89216 4.7525 10 5.03672 10C5.32094 10 5.6054 9.89243 5.82213 9.67702L13.6747 1.88182C14.1084 1.45156 14.1084 0.753343 13.6747 0.322815Z' fill='%23ffffff'/%3E%3C/svg%3E")!important;
    background-repeat: no-repeat!important;
    background-size: 12px auto!important;
    background-position: center center!important;
    transform: initial!important;
    opacity: 0!important;
    z-index: 1!important;
    transition: all 0.3s ease!important;
    border-radius: 3px!important;
}
body .support-form-cntlr #wpsc-container .checkbox-container input:checked + label:after, 
body .support-form-cntlr .wpsc-modal .checkbox-container input:checked + label:after {
    opacity: 1!important;
    z-index: 2!important;
}
body .support-form-cntlr #wpsc-container .checkbox-container input:checked + label:before, 
body .support-form-cntlr .wpsc-modal .checkbox-container input:checked + label:before {
    border-color: var(--accent)!important;
    background-color: var(--accent)!important;
}
body .wp-site-blocks .support-form-cntlr #wpsc-container .auth-inner-container form button {
    border: 2px solid var(--accent) !important;
    background-color: var(--accent) !important;
    color: #fff !important;
    padding: 14px 40px !important;
    font-size: 17px !important;
    font-family: var(--wp--preset--font-family--montserrat)!important;
    font-weight: 500!important;
    border-radius: 100px !important;
    margin-top: 16px!important;
    margin-right: 12px!important;
    margin-bottom: 20px!important;
}
body .wp-site-blocks .support-form-cntlr #wpsc-container .auth-inner-container form.wpsc-default-login button {
    margin-top: 0!important;
}
body .wp-site-blocks .support-form-cntlr #wpsc-container .auth-inner-container form button.secondary {
    border: 2px solid var(--spbdr) !important;
    background-color: var(--spbg) !important;
    color: var(--sptxt) !important;
}
body .wp-site-blocks .support-form-cntlr #wpsc-container .auth-inner-container form button:hover {
    opacity: 90%!important;
}
body .support-form-cntlr .wpsc-auth-container .auth-links {
    flex-wrap: wrap!important;
    flex-direction: row!important;
    gap: 12px 20px!important;
}
body .support-form-cntlr .wpsc-auth-container .auth-links a {
    display: inline-flex!important;
    gap: 8px!important;
    padding: 10px 16px!important;
    border-radius: 6px!important;
    margin-bottom: 0 !important;
    background-color: var(--spbg)!important;
    color: var(--sptxt)!important;
    position: relative!important;
}
body .support-form-cntlr .wpsc-auth-container .auth-links a:before {
    content: '';
    width: 18px;
    height: 18px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-key-round-icon lucide-key-round'%3E%3Cpath d='M2.586 17.414A2 2 0 0 0 2 18.828V21a1 1 0 0 0 1 1h3a1 1 0 0 0 1-1v-1a1 1 0 0 1 1-1h1a1 1 0 0 0 1-1v-1a1 1 0 0 1 1-1h.172a2 2 0 0 0 1.414-.586l.814-.814a6.5 6.5 0 1 0-4-4z'/%3E%3Ccircle cx='16.5' cy='7.5' r='.5' fill='currentColor'/%3E%3C/svg%3E")!important;
    background-repeat: no-repeat!important;
    background-size: contain!important;
    background-position: center center!important;
    display: inline-block;
    margin-top: 2px;
}
body .support-form-cntlr .wpsc-auth-container .auth-links a.wpsc-register:before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-user-plus-icon lucide-user-plus'%3E%3Cpath d='M16 21v-2a4 4 0 0 0-4-4H6a4 4 0 0 0-4 4v2'/%3E%3Ccircle cx='9' cy='7' r='4'/%3E%3Cline x1='19' x2='19' y1='8' y2='14'/%3E%3Cline x1='22' x2='16' y1='11' y2='11'/%3E%3C/svg%3E")!important;
    background-repeat: no-repeat!important;
    background-size: contain!important;
    background-position: center center!important;
}
body .support-form-cntlr .wpsc-auth-container .auth-links a.wpsc-otp-open-ticket:before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-ticket-plus-icon lucide-ticket-plus'%3E%3Cpath d='M2 9a3 3 0 0 1 0 6v2a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-2a3 3 0 0 1 0-6V7a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2Z'/%3E%3Cpath d='M9 12h6'/%3E%3Cpath d='M12 9v6'/%3E%3C/svg%3E")!important;    background-repeat: no-repeat!important;
    background-repeat: no-repeat!important;
    background-size: contain!important;
    background-position: center center!important;
}







/* Main Page */

body header {
    /*display: none!important;*/
}

body .support-form-cntlr #wpsc-container .wpsc-header {
    border-radius: 8px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-header .wpsc-menu-list label {
    white-space: nowrap!important;
    font-weight: 500!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body > * {
    margin-left: 0!important;
    margin-right: 0!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter {
    flex-wrap: wrap!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter > * {
    width: 100%!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-search .search-field {
    width: 100%!important;
    padding: 0!important;
    background-color: transparent!important;
    position: relative!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-search .search-field .wpsc-search-input {
    padding-left: 50px!important;
    height: 52px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-search .search-field svg {
    position: absolute!important;
    left: 16px!important;
    top: 16px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-item {
    margin-right: 12px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-item label {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 8px!important;
    display: inline-block;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-item select {
    border: 1px solid var(--spbdr) !important;
    color: var(--sptxt) !important;
    padding: 8px 12px!important;
    line-height: 1 !important;
    border-radius: 6px 6px!important;
    box-sizing: border-box;
    font-size: 15px!important;
    height: 36px!important;
    min-height: 36px!important;
    max-height: 36px!important;
    background-color: var(--spbg)!important;
    transition: all 0.3s ease!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-submit button {
    padding: 6px 24px !important;
    height: 36px!important;
    box-sizing: border-box;
    margin-right: 12px!important;
    border-radius: 6px 6px!important;
    transition: all 0.3s ease!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-submit .wpsc-filter-actions .wpsc-link {
    padding: 6px 24px !important;
    height: 36px;
    display: inline-block!important;
    box-sizing: border-box;
    border: 1px solid var(--spbdr) !important;
    border-radius: 6px 6px!important;
    transition: all 0.3s ease!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-submit button:hover,
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-filter-container .wpsc-filter-submit .wpsc-filter-actions .wpsc-link:hover {
    text-decoration: none!important;
    opacity: 90%!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container {
    border: 1px solid var(--spbdr) !important;
    box-shadow: none!important;
    border-radius: 6px 6px!important;
    padding: 20px 20px 0 20px!important;
    margin: 0!important;
    width: 100%!important;
    box-sizing: border-box;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-bulk-actions button {
    border: 2px solid var(--accent)  !important;
    background-color: var(--spbg)!important;
    border-radius: 6px 6px!important;
    padding: 8px 16px!important;
    font-size: 14px !important;
    margin-right: 12px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-ticket-list > div {
    overflow-x: auto!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-ticket-list > div {
    overflow-x: auto !important;
    scrollbar-width: thin;
    scrollbar-color: var(red, var(--accent)) transparent;
}

/* Chrome, Edge, Safari */
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-ticket-list > div::-webkit-scrollbar {
    height: 8px;
}

body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-ticket-list > div::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.05);
    border-radius: 999px;
}

body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-ticket-list > div::-webkit-scrollbar-thumb {
    background: var(--accent) ;
    border-radius: 999px;
}

body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-tickets-container .wpsc-ticket-list > div::-webkit-scrollbar-thumb:hover {
    background: var(--accent);
}

body .support-form-cntlr #wpsc-container .wpsc-body .gpopover {
    background-color: var(--spbg)!important;
    border-color: var(--spbdr)!important;
    border-radius: 4px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    display: none;
    padding: 12px;
    position: absolute;
    z-index: 998;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-popover-menu-item {
    padding: 10px;
    background-color: var(--spbg);
    color: var(--sptxt);
    border-radius: 4px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-popover-menu-item:hover {
    background-color: var(--spbdr);
    color: var(--sptxt);
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-ticket-list-tbl th {
    background-color: var(--spbdr);
    color: var(--sptxt);
    font-size: 14px;
    border-right: 1px solid var(--spbg)!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-ticket-list-tbl th:first-child {
    border-radius: 4px 0 0 4px!important;
}
body .support-form-cntlr #wpsc-container .wpsc-body .wpsc-ticket-list-tbl th:lasst-child {
    border-radius: 0 4px 4px 0!important;
    border-right: none!important;
}







/* Modal */

body .wpsc-humbargar-overlay, 
body .wpsc-modal .overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.7;
    cursor: pointer;
}
body .wpsc-modal .loader img {
    width: 60px!important;
    color: blue!important;
}






/* Password EYE */

.ticket-password-wrap {
    position: relative;
}
.ticket-password-toggle {
    position: absolute;
    top: 14px;
    right: 16px;
    cursor: pointer;
    width: 22px;
    height: 22px;
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-eye-off-icon lucide-eye-off'%3E%3Cpath d='M10.733 5.076a10.744 10.744 0 0 1 11.205 6.575 1 1 0 0 1 0 .696 10.747 10.747 0 0 1-1.444 2.49'/%3E%3Cpath d='M14.084 14.158a3 3 0 0 1-4.242-4.242'/%3E%3Cpath d='M17.479 17.499a10.75 10.75 0 0 1-15.417-5.151 1 1 0 0 1 0-.696 10.75 10.75 0 0 1 4.446-5.143'/%3E%3Cpath d='m2 2 20 20'/%3E%3C/svg%3E")!important;
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-eye-off-icon lucide-eye-off'%3E%3Cpath d='M10.733 5.076a10.744 10.744 0 0 1 11.205 6.575 1 1 0 0 1 0 .696 10.747 10.747 0 0 1-1.444 2.49'/%3E%3Cpath d='M14.084 14.158a3 3 0 0 1-4.242-4.242'/%3E%3Cpath d='M17.479 17.499a10.75 10.75 0 0 1-15.417-5.151 1 1 0 0 1 0-.696 10.75 10.75 0 0 1 4.446-5.143'/%3E%3Cpath d='m2 2 20 20'/%3E%3C/svg%3E")!important;
    mask-repeat: no-repeat!important;
    -webkit-mask-repeat: no-repeat!important;
    mask-size: contain!important;
    -webkit-mask-size: contain!important;
    mask-position: center center!important;
    -webkit-mask-position: center center!important;
    background-color: var(--sptxt)!important;
    z-index: 2;
}
.ticket-password-toggle.visibility {
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-eye-icon lucide-eye'%3E%3Cpath d='M2.062 12.348a1 1 0 0 1 0-.696 10.75 10.75 0 0 1 19.876 0 1 1 0 0 1 0 .696 10.75 10.75 0 0 1-19.876 0'/%3E%3Ccircle cx='12' cy='12' r='3'/%3E%3C/svg%3E")!important;
    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23121212' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-eye-icon lucide-eye'%3E%3Cpath d='M2.062 12.348a1 1 0 0 1 0-.696 10.75 10.75 0 0 1 19.876 0 1 1 0 0 1 0 .696 10.75 10.75 0 0 1-19.876 0'/%3E%3Ccircle cx='12' cy='12' r='3'/%3E%3C/svg%3E")!important;
    mask-repeat: no-repeat!important;
    -webkit-mask-repeat: no-repeat!important;
    mask-size: contain!important;
    -webkit-mask-size: contain!important;
    mask-position: center center!important;
    -webkit-mask-position: center center!important;
}
.ticket-password-wrap input[type="password"],
.ticket-password-wrap input[type="text"] {
    padding-right: 45px !important;
}

.ticket-password-toggle:hover {
    background-color: var(--accent)!important;
}












